DirectXmlRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.DirectXmlRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class DirectXmlRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.DirectXmlRequest

All Implemented Interfaces:
  Serializable

    public class DirectXmlRequest

extends SolrRequest

Send arbitrary XML to a request handler

Since:
  solr 1.3
Version:
  $Id: DirectXmlRequest.java 755141 2009-03-17 07:50:09Z shalin $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`DirectXmlRequest(String path, String body)`

Method Summary
`Collection<ContentStream>` | `getContentStreams()`
`SolrParams` | `getParams()`
`UpdateResponse` | `process(SolrServer server)`
`void` | `setParams(SolrParams params)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectXmlRequest

    public DirectXmlRequest(String path,
                            String body)

Method Detail

### getContentStreams

    public Collection<ContentStream> getContentStreams()

  Specified by:
    `getContentStreams` in class `SolrRequest`

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### setParams

    public void setParams(SolrParams params)

### process

    public UpdateResponse process(SolrServer server)
                           throws SolrServerException,
                                  IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD